package com.liquidnet.service.kylin.dao;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

@Data
public class KylinFreightChargeDao implements Serializable {

    @TableId(value = "mid", type = IdType.AUTO)
    private Integer mid;
    private String fieldsId;
    private String province;    //省
    private String city;//市
    private String adname;    //区县
    private String adcode;  //区县code
    private String price;   //价格
    private String businessType;   //快运参数
    private String businessTypeDesc;  //快运类型

    private static final KylinFreightChargeDao obj = new KylinFreightChargeDao();

    public static KylinFreightChargeDao getNew() {
        try {
            return (KylinFreightChargeDao) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinFreightChargeDao();
        }
    }
}